%define major		2
%define libname		%mklibname wacom %{major}
%define develname	%mklibname wacom -d

Name:		libwacom
Summary:	A library to identify wacom tablets
Epoch:		1
Version:	0.24
Release:	%mkrel 1
Group:		Development/X11
License:	MIT
URL:		http://sourceforge.net/projects/linuxwacom/
Source0:	http://prdownloads.sourceforge.net/linuxwacom/%{name}/%{name}-%{version}.tar.bz2


BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gudev-1.0)

%description
libwacom is a library to identify wacom tablets and their model-specific
features. It provides easy access to information such as "is this a built-in
on-screen tablet", "what is the size of this model", etc.

%files
%{_datadir}/libwacom
%{_udevrulesdir}/65-libwacom.rules

#-----------------------------------------------------------

%package -n %{libname}
Summary:	A library to identify wacom tablets
Group:		Development/X11
Requires:	%{name} >= %{epoch}:%{version}-%{release}

%description -n %{libname}
libwacom is a library to identify wacom tablets and their model-specific
features. It provides easy access to information such as "is this a built-in
on-screen tablet", "what is the size of this model", etc.

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}
%_bindir/libwacom-list-local-devices

#-----------------------------------------------------------

%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/X11
Requires:	%{libname} = %{epoch}:%{version}-%{release}
Provides:	%{name}-devel = %{epoch}:%{version}-%{release}

%description -n %{develname}
Development files for %{name}.

%files -n %{develname}
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*.pc

#-----------------------------------------------------------

%prep
%setup -q

%build
%configure2_5x --disable-static
%make

%install
%makeinstall_std

# auto-generate the udev rule from the database entries
mkdir -p %{buildroot}/%{_udevrulesdir}
pushd tools
./generate-udev-rules > %{buildroot}/%{_udevrulesdir}/65-libwacom.rules
popd

rm -f %{buildroot}%{_libdir}/*.la


%changelog
* Wed Mar 01 2017 tv <tv> 1:0.24-1.mga6
+ Revision: 1088316
- new release

* Fri Jan 20 2017 tv <tv> 1:0.23-1.mga6
+ Revision: 1082503
- new release

* Mon Sep 12 2016 tv <tv> 1:0.22-1.mga6
+ Revision: 1051641
- new version

* Wed Jun 22 2016 tv <tv> 1:0.21-1.mga6
+ Revision: 1037186
- new release

* Wed Jun 15 2016 tv <tv> 1:0.20-1.mga6
+ Revision: 1021530
- new release

* Tue Apr 26 2016 tv <tv> 1:0.19-1.mga6
+ Revision: 1006375
- new release
- revert
- BR pkgconfig(libwacom)

* Sun Jan 10 2016 tv <tv> 1:0.18-1.mga6
+ Revision: 920963
- new release

* Tue Dec 08 2015 tv <tv> 1:0.17-1.mga6
+ Revision: 908806
- new release

* Fri Nov 13 2015 tv <tv> 1:0.16-1.mga6
+ Revision: 903013
- new release

* Sat Jul 25 2015 tv <tv> 1:0.15-1.mga6
+ Revision: 857466
- new release

* Sat Jun 20 2015 tv <tv> 1:0.13-1.mga6
+ Revision: 836037
- new release

* Thu Dec 25 2014 doktor5000 <doktor5000> 1:0.11-1.mga6
+ Revision: 805973
- new version 0.11
- dropped old static 65-libwacom.rules udev rules
- generate udev rules dynamically during build from upstream device database

* Wed Oct 15 2014 umeabot <umeabot> 1:0.10-3.mga5
+ Revision: 741885
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:0.10-2.mga5
+ Revision: 681852
- Mageia 5 Mass Rebuild

* Wed Aug 20 2014 tv <tv> 1:0.10-1.mga5
+ Revision: 665815
- new release

* Tue Apr 15 2014 colin <colin> 1:0.9-2.mga5
+ Revision: 615127
- Fix udev rules dir

* Wed Mar 05 2014 tv <tv> 1:0.9-1.mga5
+ Revision: 600211
- new release

* Mon Oct 21 2013 umeabot <umeabot> 1:0.8-2.mga4
+ Revision: 540342
- Mageia 4 Mass Rebuild

* Tue Oct 08 2013 tv <tv> 1:0.8-1.mga4
+ Revision: 493538
- new release

* Wed May 01 2013 tv <tv> 1:0.7.1-1.mga3
+ Revision: 411747
- new release

* Sat Jan 12 2013 umeabot <umeabot> 1:0.7-2.mga3
+ Revision: 358431
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 21 2012 tv <tv> 1:0.7-1.mga3
+ Revision: 333606
- new release

* Wed Nov 14 2012 tv <tv> 1:0.6.1-0.1.mga3
+ Revision: 317946
- new release

* Sat Sep 08 2012 tv <tv> 1:0.6-0.1.mga3
+ Revision: 290222
- new release
- add udev rules from Redhat

* Sun Jun 03 2012 tv <tv> 1:0.5-1.mga3
+ Revision: 253712
- fix file list
- fix file list
- new release
- new release

* Tue Mar 27 2012 ovitters <ovitters> 1:0.4-1.mga2
+ Revision: 227127
- new version 0.4

* Wed Feb 08 2012 tv <tv> 1:0.3-2.mga2
+ Revision: 206402
- relax requires from library package on libwacom so that libification isn't
  defeated on next major bump
  (btw libwacom should be renamed libwacom-data)

* Wed Feb 08 2012 ovitters <ovitters> 1:0.3-1.mga2
+ Revision: 206374
- bump major to 2
- new version

* Tue Jan 17 2012 wally <wally> 1:0.2-1.mga2
+ Revision: 197417
- new version 0.2
- use source from gnome
- clean .spec a bit

* Wed Dec 21 2011 fwang <fwang> 1:0.1-2.mga2
+ Revision: 185365
- more strict req

* Wed Dec 21 2011 fwang <fwang> 1:0.1-1.mga2
+ Revision: 185359
- bump epoch so that it wont be obsoleted by installed x11-driver-input-wacom

* Wed Dec 21 2011 fwang <fwang> 0.1-1.mga2
+ Revision: 185334
- imported package libwacom

